| 0.9.9 API documenation

- Main Page
- Modules
- Files

Typedefs
GLM_GTX_std_based_type
GTX Extensions (Experimental)

Adds vector types based on STL value types. More...

## Typedefs
typedef tvec1< std::size_t, defaultp > | size1
| Vector type based of one std::size_t component. More...
typedef tvec1< std::size_t, defaultp > | size1_t
| Vector type based of one std::size_t component. More...
typedef tvec2< std::size_t, defaultp > | size2
| Vector type based of two std::size_t components. More...
typedef tvec2< std::size_t, defaultp > | size2_t
| Vector type based of two std::size_t components. More...
typedef tvec3< std::size_t, defaultp > | size3
| Vector type based of three std::size_t components. More...
typedef tvec3< std::size_t, defaultp > | size3_t
| Vector type based of three std::size_t components. More...
typedef tvec4< std::size_t, defaultp > | size4
| Vector type based of four std::size_t components. More...
typedef tvec4< std::size_t, defaultp > | size4_t
| Vector type based of four std::size_t components. More...

## Detailed Description

Adds vector types based on STL value types.

<glm/gtx/std_based_type.hpp> need to be included to use these functionalities.

## Typedef Documentation

typedef tvec1<std::size_t, defaultp> size1

Vector type based of one std::size_t component.

See also
  GLM_GTX_std_based_type

Definition at line 34 of file std_based_type.hpp.

typedef tvec1<std::size_t, defaultp> size1_t

Vector type based of one std::size_t component.

See also
  GLM_GTX_std_based_type

Definition at line 50 of file std_based_type.hpp.

typedef tvec2<std::size_t, defaultp> size2

Vector type based of two std::size_t components.

See also
  GLM_GTX_std_based_type

Definition at line 38 of file std_based_type.hpp.

typedef tvec2<std::size_t, defaultp> size2_t

Vector type based of two std::size_t components.

See also
  GLM_GTX_std_based_type

Definition at line 54 of file std_based_type.hpp.

typedef tvec3<std::size_t, defaultp> size3

Vector type based of three std::size_t components.

See also
  GLM_GTX_std_based_type

Definition at line 42 of file std_based_type.hpp.

typedef tvec3<std::size_t, defaultp> size3_t

Vector type based of three std::size_t components.

See also
  GLM_GTX_std_based_type

Definition at line 58 of file std_based_type.hpp.

typedef tvec4<std::size_t, defaultp> size4

Vector type based of four std::size_t components.

See also
  GLM_GTX_std_based_type

Definition at line 46 of file std_based_type.hpp.

typedef tvec4<std::size_t, defaultp> size4_t

Vector type based of four std::size_t components.

See also
  GLM_GTX_std_based_type

Definition at line 62 of file std_based_type.hpp.